Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d.math
Class Vector3D

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd3d.math.Vector3D

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickDraw3DLib, quicktime.jdirect.QuickTimeLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class Vector3D
extends QTByteObject
implements quicktime.jdirect.QuickTimeLib, quicktime.jdirect.QuickDraw3DLib, java.lang.Cloneable

Vector3D contains information for three dimensional vectors. refer to TQ3Vector3D in QuickDraw3d

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Fields inherited from interface quicktime.jdirect.QuickDraw3DLib
`libraryInstance`

Constructor Summary
`Vector3D()` Creates a Vector3D object containing no data.
`Vector3D(float x, float y, float z)` Creates a Vector3D object containing with given data.

Method Summary
`Vector3D` | `add(Vector3D v2)` Returns the three-dimensional vector that is the sum of the two vectors this and v2.
`java.lang.Object` | `clone()` Returns a copy of this class.
`Vector3D` | `cross(Vector3D v2)` Returns the cross product of this vector and vector v2.
`float` | `dot(Vector2D v2)` Returns the dot product of this vector and vector v2.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`float` | `getX()` returns the position in the X direction
`float` | `getY()` returns the position in the Y direction
`float` | `getZ()` returns the position in the Z direction
`float` | `length()` Returns the length of a three-dimensional vector.
`Vector3D` | `normalize()` Returns the normalized form of the vector.
`Vector3D` | `scale(float scalar)` Returns a three-dimensional vector that is the result of multiplying each of the components of this by the value of the scalar parameter.
`void` | `setX(float x)` sets the position in the X direction
`void` | `setY(float y)` sets the position in the Y direction
`void` | `setZ(float z)` sets the position in the Z direction
`Vector3D` | `subtract(Vector3D v2)` Returns the three-dimensional vector that is the result of subtracting v2 from this.
`java.lang.String` | `toString()` Returns a string representation of this object.
`Vector3D` | `transformQuaternion(Quaternion quaternion)` Return a three-dimensional vector that is the result of transforming the vector specified by the vector parameter using the quaternion specified by the quaternion parameter.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### Vector3D

    public Vector3D()

  Creates a Vector3D object containing no data.

### Vector3D

    public Vector3D(float x,
                    float y,
                    float z)

  Creates a Vector3D object containing with given data.
  Parameters:
    `x` - The x coordinate.
    `y` - The y coordinate.
    `z` - The z coordinate.

Method Detail

### getEndianDescriptor

    public static final EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### getX

    public float getX()

  returns the position in the X direction

### getY

    public float getY()

  returns the position in the Y direction

### getZ

    public float getZ()

  returns the position in the Z direction

### setX

    public void setX(float x)

  sets the position in the X direction

### setY

    public void setY(float y)

  sets the position in the Y direction

### setZ

    public void setZ(float z)

  sets the position in the Z direction

### scale

    public Vector3D scale(float scalar)

  Returns a three-dimensional vector that is the result of multiplying each of the components of this by the value of the scalar parameter.
  QuickDraw3D::Q3Vector3D_Scale

  Parameters:
    `scalar` - A floating-point number.
  Returns:
    a new scaled vector.

### length

    public float length()

  Returns the length of a three-dimensional vector.
  QuickDraw3D::Q3Vector3D_Length

  Returns:
    the length of the vector.

### normalize

    public Vector3D normalize()

  Returns the normalized form of the vector.
  QuickDraw3D::Q3Vector3D_Normalize

  Returns:
    the normalized form of the vector

### add

    public Vector3D add(Vector3D v2)

  Returns the three-dimensional vector that is the sum of the two vectors this and v2.
  QuickDraw3D::Q3Vector3D_Add

  Parameters:
    `v2` - A three-dimensional vector.
  Returns:
    the sum of v1 and v2.

### subtract

    public Vector3D subtract(Vector3D v2)

  Returns the three-dimensional vector that is the result of subtracting v2 from this.
  QuickDraw3D::Q3Vector3D_Subtract

  Parameters:
    `v2` - A three-dimensional vector.
  Returns:
    the result of subtracting v2 from this.

### cross

    public Vector3D cross(Vector3D v2)

  Returns the cross product of this vector and vector v2.
  QuickDraw3D::Q3Vector3D_Cross

  Parameters:
    `v2` - A two-dimensional vector.
  Returns:
    a vector

### dot

    public float dot(Vector2D v2)

  Returns the dot product of this vector and vector v2.
  QuickDraw3D::Q3Vector3D_Dot

  Parameters:
    `v2` - A two-dimensional vector.
  Returns:
    a vector

### transformQuaternion

    public Vector3D transformQuaternion(Quaternion quaternion)

  Return a three-dimensional vector that is the result of transforming the vector specified by the vector parameter using the quaternion specified by the quaternion parameter.
  QuickDraw3D::Q3Vector3D_TransformQuaternion

  Parameters:
    `quaternion` - A quaternion.
  Returns:
    a three-dimensional vector

### clone

    public java.lang.Object clone()

  Returns a copy of this class.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `QTByteObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD